package com.chenyang.nse.bussiness.entity.vo.strategy;

public class ColumnInfoVO {
   private String dataSystemId;
   private String schema;
   private String columnName;
   private String columnType;
   private String columnSize;
   private String secretKeyId;
   private String encryptionType;
   private String secretKey;
   private String tcoreencryptionfieldId;
   private String isLike;
   private String keepfirst;
   private String realitycolumnsize;
   private String encdigit;
   private String twoindex;
   private String[] isPrimaryKeys;

   public String getKeepfirst() {
      return this.keepfirst;
   }

   public void setKeepfirst(String keepfirst) {
      this.keepfirst = keepfirst;
   }

   public String getEncdigit() {
      return this.encdigit;
   }

   public void setEncdigit(String encdigit) {
      this.encdigit = encdigit;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getEncryptionType() {
      return this.encryptionType;
   }

   public void setEncryptionType(String encryptionType) {
      this.encryptionType = encryptionType;
   }

   public String getSecretKey() {
      return this.secretKey;
   }

   public void setSecretKey(String secretKey) {
      this.secretKey = secretKey;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public String getSecretKeyId() {
      return this.secretKeyId;
   }

   public void setSecretKeyId(String secretKeyId) {
      this.secretKeyId = secretKeyId;
   }

   public String[] getIsPrimaryKeys() {
      return this.isPrimaryKeys;
   }

   public void setIsPrimaryKeys(String[] isPrimaryKeys) {
      this.isPrimaryKeys = isPrimaryKeys;
   }

   public String getColumnType() {
      return this.columnType;
   }

   public void setColumnType(String columnType) {
      this.columnType = columnType;
   }

   public String getColumnSize() {
      return this.columnSize;
   }

   public void setColumnSize(String columnSize) {
      this.columnSize = columnSize;
   }

   public String getTcoreencryptionfieldId() {
      return this.tcoreencryptionfieldId;
   }

   public void setTcoreencryptionfieldId(String tcoreencryptionfieldId) {
      this.tcoreencryptionfieldId = tcoreencryptionfieldId;
   }

   public String getTwoindex() {
      return this.twoindex;
   }

   public void setTwoindex(String twoindex) {
      this.twoindex = twoindex;
   }

   public String getIsLike() {
      return this.isLike;
   }

   public void setIsLike(String isLike) {
      this.isLike = isLike;
   }

   public String getRealitycolumnsize() {
      return this.realitycolumnsize;
   }

   public void setRealitycolumnsize(String realitycolumnsize) {
      this.realitycolumnsize = realitycolumnsize;
   }
}
